get file = 'wm1.sav'.

select if (WM7 = 1).

weight by wmweight.

variable label CM1 "Motherhood status".
value label CM1 
	1 "Ever gave birth" 
	2 "Never gave birth".
tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + mstatus + CM1 + melevel + wlthind5 + HC1B + tot1 
		by (statistics)
  /statistics
    cpct(HH7 (f5.1) 'Weighted percent')
    count(HH7 (f5.0) 'Number of women weighted')
    unw count(HH7 (f5.0) 'Number of women unweighted')
    cpct(HH6 (f5.1) 'Weighted percent')
    count(HH6 (f5.0) 'Number of women weighted')
    unw count(HH6 (f5.0) 'Number of women unweighted')
    cpct(wage (f5.1) 'Weighted percent')
    count(wage (f5.0) 'Number of women weighted')
    unw count(wage (f5.0) 'Number of women unweighted')
    cpct(mstatus (f5.1) 'Weighted percent')
    count(mstatus (f5.0) 'Number of women weighted')
    unw count(mstatus (f5.0) 'Number of women unweighted')
    cpct(CM1 (f5.1) 'Weighted percent')
    count(CM1 (f5.0) 'Number of women weighted')
    unw count(CM1 (f5.0) 'Number of women unweighted')
    cpct(melevel (f5.1) 'Weighted percent')
    count(melevel (f5.0) 'Number of women weighted')
    unw count(melevel (f5.0) 'Number of women unweighted')
    cpct(wlthind5 (f5.1) 'Weighted percent')
    count(wlthind5 (f5.0) 'Number of women weighted')
    unw count(wlthind5 (f5.0) 'Number of women unweighted')
    cpct(HC1B (f5.1) 'Weighted percent')
    count(HC1B (f5.0) 'Number of women weighted')
    unw count(HC1B (f5.0) 'Number of women unweighted')
  /title
    "Table HH.4: Women's background characteristics" 
		"Percent distribution of women aged 15-49 years by background "+
		"characteristics, Kyrgyzstan, 2006".

*variable label CM1 " ".
*value label CM1 
	1 "- " 
	2 "  ".

*tables
  /format = zero
  /ftotal = tot1 ""
  /table = HH7 + HH6 + wage + mstatus + CM1 + melevel + HC1B + tot1 
		by (statistics)
  /statistics
    cpct(HH7 (f5.1) ' ')
    count(HH7 (f5.0) '  - ')
    unw count(HH7 (f5.0) '  -  ')
    cpct(HH6 (f5.1) ' ')
    count(HH6 (f5.0) '  - ')
    unw count(HH6 (f5.0) '  -  ')
    cpct(wage (f5.1) ' ')
    count(wage (f5.0) '  - ')
    unw count(wage (f5.0) '  -  ')
    cpct(mstatus (f5.1) ' ')
    count(mstatus (f5.0) '  - ')
    unw count(mstatus (f5.0) '  -  ')
    cpct(CM1 (f5.1) ' ')
    count(CM1 (f5.0) '  - ')
    unw count(CM1 (f5.0) '  -  ')
    cpct(melevel (f5.1) ' ')
    count(melevel (f5.0) '  - ')
    unw count(melevel (f5.0) '  -  ')
    cpct(HC1B (f5.1) ' ')
    count(HC1B (f5.0) '  - ')
    unw count(HC1B (f5.0) '  -  ')
  /title
    " HH.4:  " 
		"     15-49  "+
		" , , 2006 .".


new file.
