* Runs mortality for each background characteristic.

*----------------------------------------------------------------.
*Male.
Title 'Male'.

get file='WM1.sav'.

select if (WM7 = 1).


*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4A.
if (CM5 = 1) ceb = ceb + CM6A.
if (CM7 = 1 ) ceb = ceb + CM8A.
*if (CM7 = 1 & CM7A = 1) ceb = ceb + CM8A.

*number of dead children.
do if (CM7 = 1 ) .
+ compute deadkids = CM8A.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 1.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps '.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if(wage  = 3  or  wage  = 4).
compute sex = 1.

aggregate outfile = 'tmpresult.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).



*----------------------------------------------------------------.
*Female.
Title 'Female'.

get file='WM1.sav'.
select if (WM7 = 1).


*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4b.
if (CM5 = 1) ceb = ceb + CM6b.
if (CM7 = 1 ) ceb = ceb + CM8b.
*if (CM7 = 1 & CM7A = 1) ceb = ceb + CM8b.

*number of dead children.
*do if (CM7 = 1 & CM7A = 1) .
do if (CM7 = 1 ) .
+ compute deadkids = CM8b.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 2.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if(wage  = 3  or  wage  = 4).
compute sex = 2.

aggregate outfile = 'tmp.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*--------------------------------------------------------.
*Urban.
Title 'Urban'.

get file='WM1.sav'.

select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4A + CM4b.
if (CM5 = 1) ceb = ceb + CM6A + CM6b.
if (CM7 = 1 ) ceb = ceb + CM8A + CM8b.
*if (CM7 = 1 & CM7A = 1) ceb = ceb + CM8A + CM8b.

*number of dead children.
*do if (CM7 = 1 & CM7A = 1) .
do if (CM7 = 1 ) .
+ compute deadkids = CM8A + CM8b.
else.
+ compute deadkids = 0.
end if.

compute filter_$ =  (HH6 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if(wage  = 3  or  wage  = 4).
compute hh6 = 1.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Rural.
Title 'Rural'.

get file='WM1.sav'.

select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4A + CM4b.
if (CM5 = 1) ceb = ceb + CM6A + CM6b.
if (CM7 = 1 ) ceb = ceb + CM8A + CM8b.
*if (CM7 = 1 & CM7A = 1) ceb = ceb + CM8A + CM8b.

*number of dead children.
*do if (CM7 = 1 & CM7A = 1) .
do if (CM7 = 1 ) .
+ compute deadkids = CM8A + CM8b.
else.
+ compute deadkids = 0.
end if.

compute filter_$ =  (HH6 = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if(wage  = 3  or  wage  = 4).
compute hh6 = 2.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Total.
Title 'Total'.

get file='WM1.sav'.

select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4A + CM4b.
if (CM5 = 1) ceb = ceb + CM6A + CM6b.
if (CM7 = 1 ) ceb = ceb + CM8A + CM8b.
*if (CM7 = 1 & CM7A = 1) ceb = ceb + CM8A + CM8b.

*number of dead children.
*do if (CM7 = 1 & CM7A = 1) .
do if (CM7 = 1 ) .
+ compute deadkids = CM8A + CM8b.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if(wage  = 3  or  wage  = 4).
compute total = 1.

aggregate outfile = 'tmp.sav'
  /break total
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.



*----------------------------------------------------------------.

variable label 
  imr 'Infant Mortality Rate*'
/ u5mr 'Under-five Mortality Rate**'
/ sex 'Sex'
/ hh7 'Region'
/ hh6 'Area'
/ Wlthind5 'Wealth index quintiles'
/ melevel "Mother's education".

*variable label 
  imr '  *'
/ u5mr '  **'
/ sex ''
/ hh7 ' '
/ hh6 ''
/ Wlthind5 '   '
/ melevel " ".

value label sex 
1 'Male' 
2 'Female'.
*value label hh7
1 'Region 1'
2 'Region 2'
3 'Region 3'
4 'Region 4'
5 'Region 5'.
value label hh6 
1 'Urban' 
2 'Rural'.
*value label wlthind5 
1 'Poorest' 
2 'Second' 
3 "Middle" 
4 "Fourth" 
5 "Richest".
*value label melevel 
1 'None' 
2 'Primary' 
3 'Secondary+'.
value label total 1 'Total'.

*value label sex 
1 '' 
2 ''.
*value label hh7
1 ''
2 ''
3 ''
4 ''
5 ''
6 ''
7 ''
8 ''.
*value label hh6 
1 ' ' 
2 ' '.
*value label wlthind5 
1 '' 
2 '' 
3 '' 
4 '' 
5 ''.
*value label melevel 
1 '   ' 
2 '' 
3 ''.
*value label total 1 ''.

Compute imrm = imr*1000.
Compute u5mrm = u5mr*1000.
variable label imrm 'Infant Mortality Rate*'.
variable label u5mrm "Under-five Mortality Rate**".
*variable label imrm '  *'.
*variable label u5mrm '  **".
table
  /observation = imrm u5mrm
  /table= sex + hh6 + total  by imrm + u5mrm
  /statistics
    mean( imrm( F7.0 )'')
    mean( u5mrm( F7.0 ) '')
  /title
   "Table CM.1: Child mortality" 
             "Infant and under-five mortality rates  [BASED ON EAST], Kyrgyzstan, 2006'
/caption
       "* MICS indicator 2; MDG indicator 14" "** MICS indicator 1; MDG indicator13".
*table
  /observation = imrm u5mrm
  /table= sex + hh6 + total  by imrm + u5mrm
  /statistics
    mean( imrm( F7.0 )'')
    mean( u5mrm( F7.0 ) '')
  /title
   " CM.1:  " 
             "     [BASED ON EAST], , 2006'
/caption
       "* MICS indicator 2; MDG indicator 14" "** MICS indicator 1; MDG indicator13".

new file.
erase file='tmp.sav'.
erase file='tmp2.sav'.
erase file='tmpcmr.sav'.
erase file='tmpresult.sav'.
