get file = 'hl1.sav'.

weight by hhweight.

select if (HL5 >= 5 and HL5 <= 14).

recode HL5 (5 thru 11 = 1) (12 thru 14 = 2) into agegrp.
*variable label agegrp "".
*value label agegrp
  1 "5-11 "
  2 "12-14 ".

variable label agegrp "Age".
value label agegrp
  1 "5-11 years"
  2 "12-14 years".

recode ED4 (1 = 1) (else = 2) into part.
variable label part "School participation".
value label part 1 "Yes" 2 "No" .
*variable label part "".
*value label part 1 "" 2 "" .

compute paid = 0.
if (CL3 = 1 and (agegrp = 1 or (agegrp = 2 and CL4 >= 14 and CL4 <= 95)))
  paid = 100.
variable label paid "Paid work".
*variable label paid " ".

compute unpaid = 0.
if (CL3 = 2 and (agegrp = 1 or (agegrp = 2 and CL4 >= 14 and CL4 <= 95)))
  unpaid = 100.
variable label unpaid "Unpaid work".
*variable label unpaid " ".

compute more4 = 0.
if (CL6 = 1 and  CL7 >= 28 and CL7 <= 95) more4 = 100.
variable label more4 "Household chores for 28+ hours/week".
*variable label more4 "      28   ".

compute family = 0.
if (CL8 = 1 and (agegrp = 1 or (agegrp = 2 and CL9 >= 14 and CL9 <= 95)))
  family = 100.
variable label family "Working for family business".
*variable label family "    ".

recode CL4 CL9 (98,99,sysmis = 0) .
compute hours1 = CL4 + CL9.
variable label hours1 "EA number of hours".
*variable label hours1 "EA  ".

recode hours1 (14 thru 190 = 1) (else = 0) into hours14.
variable label hours14 "EA number of hours: 14 or more".
*variable label hours14 "EA  : 14  ".

compute working = 0.
if (agegrp = 1 and (CL3 = 1 or CL3 = 2 or CL8 = 1 or (CL7 >= 28 and CL7 <= 95))) working = 100.
if (agegrp = 2 and ((CL7 >= 28 and CL7 <= 95) or (hours14 = 1))) working = 100.
variable label working "Total child labour *".
*variable label working "   *".

compute layer = 0.
variable label layer "".
value label layer 0 "Working outside household".
*value label layer 0 "  ".

tables
  /format = zero
  /observation = paid unpaid more4 family working
  /ftotal = tot1 "Total" tot2 "Number of children aged 5-14 years"
  /tables = HL4 + HH7 + HH6 + agegrp + part + melevel + wlthind5 + HC1B + tot1 
	  by layer > (paid + unpaid) + more4 + family + working + tot2
  /statistics
    mean(paid (f5.1) '')
    mean(unpaid (f5.1) '')
    mean(more4 (f5.1) '')
    mean(family (f5.1) '')
    mean(working (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Table CP.2: Child labour"
		"Percentage of children aged 5-14 years who are involved in child labour "+
		"activities by type of work,  Kyrgyzstan, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicator 71".

*tables
  /format = zero
  /observation = paid unpaid more4 family working
  /ftotal = tot1 "" tot2 "    514 "
  /tables = HL4 + HH7 + HH6 + agegrp + part + melevel + wlthind5 + HC1B + tot1 
	  by layer > (paid + unpaid) + more4 + family + working + tot2
  /statistics
    mean(paid (f5.1) '')
    mean(unpaid (f5.1) '')
    mean(more4 (f5.1) '')
    mean(family (f5.1) '')
    mean(working (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    " CP.2:  "
		"     514 ,    , "+
		"    ,  , 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicator 71".

new file.
