* open the household listing data file.
get file = 'hl1.sav'.

* keep heads of household only.
select if (HL3 = 1).

* sort the cases by cluster number, household number and line number.
sort cases by HH1 HH2 HL1.

* create head of household's education level.
compute ED_LEVH = ED3A.
IF (ED3A = 2 & ((hl5 <= 24 & ED3B  <=  9) | (hl5 >= 25 & ED3B  <=  8))) ED_LEVH = 21 .
IF (ED3A = 2 & ((hl5 <= 24 & ED3B  >  9) | (hl5 >= 25 & ED3B  >  8))) ED_LEVH = 22 .
exec.
recode ED_LEVH (22 = 2) (3 = 3) (else = 1) into helevel.
* variable label helevel "Education of household head".
* value label helevel
  1 "None Secondary"
 / 2 "Secondary"
 / 3 "High education"
 / 9 "Missing/DK".

variable label helevel "  /".
value label helevel
  1 " "
  2 ""
  3 ""
  9 "Missing/DK".

* sex of household head.
recode HL4 (1,2 = copy) (else = 9) into hhsex.
*variable label hhsex "Sex of household head".
*value label hhsex
  1 "Male"
 / 2 "Female"
 / 9 "Missing/DK".
variable label hhsex "  /".
value label hhsex
  1 ""
  2 ""
  9 "Missing/DK".

* save a data file of household heads with IDs and education as only vars.
save outfile = 'tmp1.sav'
  /keep HH1 HH2 helevel hhsex.

* open the household data file.
get file = 'hh1.sav'.

* sort the cases by cluster number and household number.
sort cases by HH1 HH2.

* merge the household head file onto the household file.
match files
  /file = *
  /table = 'tmp1.sav'
  /by HH1 HH2 .

* resort the cases by cluster number and household number.
sort cases by HH1 HH2.
RECODE hh7 (5=2)  (9=2)  (1 thru 2=2)  (ELSE=1)  INTO  region .
variable label region "Region".
value label region
  1 "north"
  2 "south".

* save household data, which now contains the education of household head.
save outfile = 'hh1.sav'.

* erase the working file.
erase file = 'tmp1.sav'.
